System.Data 2.0.0.0 System.Enum System.Flags

You can use the enumeration when you construct a instance to change how the methods for that instance behave.

Bitwise flag that specifies one or more options to use with an instance of .

- Field
  System.Data.SqlClient.SqlBulkCopyOptions

  Check constraints while data is being inserted. By default, constraints are not checked.

  2.0.0.0
- Field
  System.Data.SqlClient.SqlBulkCopyOptions

  Use the default values for all options.

  2.0.0.0
- Field
  System.Data.SqlClient.SqlBulkCopyOptions

  When specified, cause the server to fire the insert triggers for the rows being inserted into the database.

  2.0.0.0
- Field
  System.Data.SqlClient.SqlBulkCopyOptions

  Preserve source identity values. When not specified, identity values are assigned by the destination.

  2.0.0.0
- Field
  System.Data.SqlClient.SqlBulkCopyOptions

  Preserve null values in the destination table regardless of the settings for default values. When not specified, null values are replaced by default values where applicable.

  2.0.0.0
- Field
  System.Data.SqlClient.SqlBulkCopyOptions

  Obtain a bulk update lock for the duration of the bulk copy operation. When not specified, row locks are used.

  2.0.0.0
- Field
  System.Data.SqlClient.SqlBulkCopyOptions

  When specified, each batch of the bulk-copy operation will occur within a transaction. If you indicate this option and also provide a object to the constructor, an occurs.

  2.0.0.0